rrdtool libpthread-stubs error / openbsd 6.5

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

rrdtool libpthread-stubs error / openbsd 6.5

Tor Houghton
Hello,

When I try to run rrdtool, I get the followiing error:

$ rrdtool                
ld.so: rrdtool: can't load library 'libpthread-stubs.so.2.0'
Killed

This, I suppose, has been happening since I upgraded from 6.2, but didn't
catch as it's something I run at home.

Anyone got any hints as to what to do to resolve it?

Tor

Reply | Threaded
Open this post in threaded view
|

Re: rrdtool libpthread-stubs error / openbsd 6.5

Stuart Henderson
On 2019-07-12, Tor Houghton <[hidden email]> wrote:

> Hello,
>
> When I try to run rrdtool, I get the followiing error:
>
> $ rrdtool                
> ld.so: rrdtool: can't load library 'libpthread-stubs.so.2.0'
> Killed
>
> This, I suppose, has been happening since I upgraded from 6.2, but didn't
> catch as it's something I run at home.
>
> Anyone got any hints as to what to do to resolve it?
>
> Tor
>
>

I don't think you have updated your packages.


Reply | Threaded
Open this post in threaded view
|

Re: rrdtool libpthread-stubs error / openbsd 6.5

Tor Houghton
On Fri, Jul 12, 2019 at 12:11:55PM -0000, Stuart Henderson wrote:
>
> I don't think you have updated your packages.
>

You're right of course. :-#

Thanks!

Tor